3
Vote

Need Update-Package

description

Currently, there's no Update-Package, so there's no way to support upgrades.

In fact, if you call Install-Package on a package you already have installed, and there's a new version, it just does an install as a new package (in Chocolatey, it ends up unpacked side-by-side in the lib folder) and worse, the package manager forgets that the old version exists -- thus, when you call uninstall-package, it doesn't clean up old versions, only the most recent.

comments